Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control.io
[Java] Class InputStreamReaderSource

    java.lang.Object
      org.codehaus.groovy.control.io.AbstractReaderSource
          org.codehaus.groovy.control.io.InputStreamReaderSource

    public class InputStreamReaderSource
    extends AbstractReaderSource

A ReaderSource for source strings.

Authors:
  Chris Poirier

Version:
  \$Id\$

Field Summary

Fields inherited from class AbstractReaderSource
configuration

Constructor Summary
`InputStreamReaderSource(java.io.InputStream stream, CompilerConfiguration configuration)` Creates the ReaderSource from a File descriptor.

Method Summary
`boolean` | `canReopenSource()` Returns true if the source can be restarted (ie. if getReader() will return non-null on subsequent calls.
`java.io.Reader` | `getReader()` Returns a new Reader on the underlying source object.

Methods inherited from class AbstractReaderSource
canReopenSource, cleanup, getLine

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### InputStreamReaderSource

    public InputStreamReaderSource(java.io.InputStream stream, CompilerConfiguration configuration)

  Creates the ReaderSource from a File descriptor.
  Parameters:
    `stream` - stream containing source
    `configuration` - configuration for compiling source

Method Detail

### canReopenSource

    public boolean canReopenSource()

  Returns true if the source can be restarted (ie. if getReader() will return non-null on subsequent calls.

### getReader

    public java.io.Reader getReader()

  Returns a new Reader on the underlying source object.

Groovy Documentation